Subject: Re: bug#21750: show-paren-mode erroneously highlights the left margin

From: Johan Bockgård <[email-masked]>
Date: Wed, 28 Oct 2015 00:28:20 +0100

Hinrik Örn Sigurðsson <[email-masked]> writes:

> Unfortunately that doesn't work in my case. The desired background
> color is pure black (#000000). However both "black" and "#000000"
> result in Emacs choosing the 1st color of the terminal's 16-color
> palette, even when running in 256-color mode. Though pure black is my
> terminal's default background color (which is independent of the
> palette), it is not present in the 16-color palette.
>
> So there's no way of explicitly specifying this background color in
> Emacs unless I change my terminal's color palette, which would affect
> the appearance of other terminal programs.

The terminal's foreground and background colors can be referred to as
"unspecified-fg" and "unspecified-bg". (Cf. M-x describe-face RET
default RET)